Subject: DLUR stuff #3 (item 8343)

From: [email-masked]
Date: Tue, 30 Apr 96 13:21:53 EST

I've gone over the AIW10 APPN Reference SIG minutes regarding DLUR
proposals I submitted, and here's where my level of understanding of
the discussion in San Jose stands:

3) item 8343 - DLUR redriving SSCP-PU activation after receiving DACTPU

   a) the minutes didn't show a consensus either for the proposal or
      any alternate solution

        - CP-SVR pipes are established when service to a PU is required;
          either a DLUS is ready to send an ACTPU or a DSPU wants a
          DLUR to send REQACTPU.

        - The situation described in this item points out a case where
          the DSPU is unable to signal to the DLUR its need for a
          REQACTPU.

             * I don't want to change the fundamental concept of asking
               for service only when asked for by the DSPU or DLUS

             * I don't want to bundle this case with the strategy for
               handling a REQACTPU going to a DLUS unable to service it
               (in that situation we know we have a DSPU request for
               service, and the proposed solution is covered in the
               item 8334 note); here we need another DLUR mechanism to
               determine when a DSPU needs service

        - The original proposed solution may have tried to cover too
          many situations, always immediately redriving REQACTPU even
          when there may not have been a need to (could have waited for
          DSPU to ask for it again)

             * Maybe the DLUR shouldn't assume REQACTPU should be
               resent upon receipt of DACTPU unless the DLUR knows the
               DSPU is unable to ask for a REQACTPU - can the DLUR
               detect the situation where the DSPU is on the same link
               as a CP-CP session?  If so, perhaps another test could be
               added on the Y leg between "original connection sent by
               REQACTPU?" and "DACTPU(giveback)?"; the new test for
               "CP-CP session on DSPU's LINK?" would have a Y leg to
               "DACTPU(giveback)?" and a N leg to A

Comments?

Ed Tremblay

P.S. I'll be out of the office most of the next three weeks, so I won't
     jump into the discussion much until the end of May.